Subject: Re: [PATCH 2/2] gitweb: Show trailing slash when listing tree entry in tree listing

From: Jakub Narebski <[email-masked]>
Date: Wed, 11 Oct 2006 00:40:20 +0200

Dnia środa 11. października 2006 00:14, Luben Tuikov napisał:
> --- Jakub Narebski <[email-masked]> wrote:
> > Luben Tuikov wrote:
> > > P.S. Notice how there is a "snapshot" link on each line of
> > > shortlog, but there is no "snapshot" link in the nav bar
> > > of a=commit. The "snapshot" link is next to "tree" down
> > > in the commit data. There is also a "tree" link which is also
> > > in the navbar, but "shortlog" is missing.
> > 
> > The problem with snapshot is that we can have snapshot of a commit
> > (and all links in the top part of navigation bar till now deals with 
> > current commit), and snapshot of a tree, which can be subdirectory
> > (and all links in the bottom part of navigation bar deals with 
> > the views/presentations of a current object).
> 
> Oh, yes, that's exactly what we need: two links of the same name
> ("snapshot") in the top row of navbar and in the bottom row of navbar.

I'm mentioning the problem, that "snapshot" has two meaning for a tree.
I personally think that we should have commit snapshot links (with 
commit sha in the extended tar header if we use tgz snapshots) for 
"heads", "tags" and "project list" views, and perhaps in the "commit" 
and optionally "commitdiff" view; perhaps but not necessary for each 
commit-list view like log, shortlog, search, history. But the snapshot 
link should be as a view of a (sub)directory only in the bottom part of 
navigation bar.

-- 
Jakub Narebski
Poland